Skip to main content
`Ctrl`+`K`

# MatAppendOptionsPrefix

Appends to the prefix used for searching for all matrix options in the database.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatAppendOptionsPrefix(Mat A, const char prefix[])

Logically Collective

## Input Parameters

- A - the matrix

- prefix - the prefix to prepend to all option names

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

Matrices, `Mat`, `MatGetOptionsPrefix()`, `MatAppendOptionsPrefixFactor()`, `MatSetOptionsPrefix()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages